## edu.cwru.SimpleRTS.agent
Class PrimativeAttackCoordinator

    java.lang.Object
      edu.cwru.SimpleRTS.agent.PrimativeAttackCoordinator

All Implemented Interfaces:
  java.io.Serializable

    public class PrimativeAttackCoordinator

extends java.lang.Object
implements java.io.Serializable

A class that offers primative micromanagement of soldiers Just sends them to the nearest building, shooting anything in range

Author:
  The Condor
See Also:
  Serialized Form

Constructor Summary
`PrimativeAttackCoordinator(int playernum)`

Method Summary
`void` `addAttacker(java.lang.Integer attacker)`
`void` `coordinate(State.StateView state, java.util.Map<java.lang.Integer,Action> actions)` Append the relevant actions to the action set.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrimativeAttackCoordinator

    public PrimativeAttackCoordinator(int playernum)

Method Detail

### addAttacker

    public void addAttacker(java.lang.Integer attacker)

### coordinate

    public void coordinate(State.StateView state,
                           java.util.Map<java.lang.Integer,Action> actions)

  Append the relevant actions to the action set. This will replace previous ones, as Builder does not have any means to check. TODO: Make this more efficient by having it do it's own path calculations

  Parameters:
    `state` -
    `actions` -